Package org.apache.storm.generated

## Class Nimbus.AsyncProcessor.submitTopology<I extends Nimbus.AsyncIface>

- java.lang.Object
- - org.apache.storm.thrift.AsyncProcessFunction<I,​Nimbus.submitTopology_args,​Void>
  - - org.apache.storm.generated.Nimbus.AsyncProcessor.submitTopology<I>

- Enclosing class:
    Nimbus.AsyncProcessor<I extends Nimbus.AsyncIface>

      public static class Nimbus.AsyncProcessor.submitTopology<I extends Nimbus.AsyncIface>
      extends org.apache.storm.thrift.AsyncProcessFunction<I,​Nimbus.submitTopology_args,​Void>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `submitTopology()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Nimbus.submitTopology_args` | `getEmptyArgsInstance()` |
    `org.apache.storm.thrift.async.AsyncMethodCallback<Void>` | `getResultHandler​(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)` |
    `protected boolean` | `isOneway()` |
    `void` | `start​(I iface, Nimbus.submitTopology_args args, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)` |

    - ### Methods inherited from class org.apache.storm.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### submitTopology

          public submitTopology()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Nimbus.submitTopology_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,​Nimbus.submitTopology_args,​Void>`

    - #### getResultHandler

          public org.apache.storm.thrift.async.AsyncMethodCallback<Void> getResultHandler​(org.apache.storm.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                          int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,​Nimbus.submitTopology_args,​Void>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,​Nimbus.submitTopology_args,​Void>`

    - #### start

          public void start​(I iface,
                            Nimbus.submitTopology_args args,
                            org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `start` in class `org.apache.storm.thrift.AsyncProcessFunction<I extends Nimbus.AsyncIface,​Nimbus.submitTopology_args,​Void>`
      Throws:
        `org.apache.storm.thrift.TException`